Subject: [TR] Help needed with an item for sale (non-TR) in mid-Iowa?

From: Don Hiscock <[email-masked]>
Date: Mon, 20 Oct 2014 23:30:19 -0400

A member of our list who reads everything but rarely posts has asked for
help checking some details on a transportation-related but non-TR item for
sale in Montezuma, Iowa (many hundreds of miles from his place).  It's a
bit far from the St. Louis metro area where I am, but maybe someone here is
closer?  Lemme know and I'll put you guys in touch.

TIA,

Don

** [email-masked] **

Archive: http://www.team.net/archive